For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dev Portal
DocsAPI ReferenceLearnCommunityChangelog
DocsAPI ReferenceLearnCommunityChangelog
    • About Our APIs
  • REST
    • Overview
      • Overview
      • Storefront
      • Management
        • Overview
          • Addresses
          • Authentication
          • Channels
          • Company
          • Invoice Management
          • Orders
          • Payment
          • Quotes
            • GETList Quotes
            • POSTCreate Quote
            • GETList B2B Quote Custom Shipping Methods
            • POSTSend Quote Email
            • GETList Quote Extra Fields Configs
            • GETGet Quote Details
            • PUTUpdate Quote
            • DELDelete Quote
            • POSTGenerate Cart and Checkout URL for Quote
            • POSTAssign Quote to BigCommerce Order
            • POSTExport Quote PDF
            • PUTSelect Shipping Rate for Quote
            • DELRemove Selected Shipping Rate from Quote
            • GETGet Available Shipping Rates for Quote
          • Sales Staff
          • Shopping List
          • Super Admin
          • Users
  • GraphQL
    • Overview
  • MCP
    • Overview
Dev Portal
LogoLogo
RESTB2BManagementQuotes

Assign Quote to BigCommerce Order

POST
https://api-b2b.bigcommerce.com/api/v3/io/rfq/:quote_id/ordered
POST
/api/v3/io/rfq/:quote_id/ordered
$curl -X POST https://api-b2b.bigcommerce.com/api/v3/io/rfq/123456/ordered \
> -H "X-Auth-Token: <apiKey>" \
> -H "Content-Type: application/json" \
> -d '{
> "orderId": "112495"
>}'
1{
2 "code": 200,
3 "data": {},
4 "message": "SUCCESS"
5}
Associates an existing BigCommerce order with a specific quote based on the provided `quote_id`. In order to assign a quote to an order, it must be in one of the following statuses: * New (0) * In Process (2) * Updated by Customer (3) When specifying the order to be associated with the quote, use its **BigCommerce Order ID**, not the **B2B Edition Order ID**. This endpoint **does not** convert an unpurchased quote into a new BigCommerce order. You can manually convert a quote while editing it in your B2B Edition control panel.
Was this page helpful?
Previous

Generate Cart and Checkout URL for Quote

Next

Export Quote PDF

Built with

Associates an existing BigCommerce order with a specific quote based on the provided quote_id.

In order to assign a quote to an order, it must be in one of the following statuses:

  • New (0)
  • In Process (2)
  • Updated by Customer (3)

When specifying the order to be associated with the quote, use its BigCommerce Order ID, not the B2B Edition Order ID.

This endpoint does not convert an unpurchased quote into a new BigCommerce order. You can manually convert a quote while editing it in your B2B Edition control panel.

Authentication

X-Auth-Tokenstring
HeaderArgumentDescription
X-Auth-Tokenaccess_tokenFor more about API accounts that generate access_tokens, see our Guide to API Accounts.

For example requests and more information about authenticating BigCommerce APIs, see Authentication and Example Requests.

For more about BigCommerce OAuth scopes, see our Guide to API Accounts.

For a list of API status codes, see API Status Codes.

X-Store-Hashstring
HeaderArgumentDescription
X-Store-Hashstore_hashThe unique store hash associated with a BigCommerce store that has B2B Edition enabled.

Path parameters

quote_idintegerRequired
The internal numeric ID of the sales quote.

Request

orderIdstringRequired

The B2B Edition internal order ID. Note that this is different from the BigCommerce order ID returned in the bcOrderId field.

Response

OK
codedoubleDefaults to 200
HTTP Response Code
dataobject
messagestringDefaults to SUCCESS

Errors

422
Unprocessable Entity Error